Subject: Re: linux-next: build warning after merge of the tip tree

From: Kees Cook <[email-masked]>
Date: Sun, 4 Oct 2020 00:42:51 -0700

On Sun, Oct 04, 2020 at 10:24:37AM +1100, Stephen Rothwell wrote:
> On Sat, 3 Oct 2020 14:54:46 -0700 Kees Cook <[email-masked]> wrote:
> > On Mon, Sep 14, 2020 at 01:22:49PM +1000, Stephen Rothwell wrote:
> > > 
> > > After merging the tip tree, today's linux-next build (x86_64 allmodconfig)
> > > produced this warning:
> > > 
> > > x86_64-linux-gnu-ld: warning: orphan section `.ctors.65435' from `kernel/trace/trace_selftest_dynamic.o' being placed in section `.ctors.65435'
> > > [...]  
> > 
> > Is it only trace that is warning?
> 
> Yes, it is only trace.  it is always 65435 as well, in case that matters.
> 
> > > gcc (Debian 10.2.0-5) 10.2.0
> > > GNU ld (GNU Binutils for Debian) 2.35  
> > 
> > I can't reproduce this with:
> > 
> > gcc (Ubuntu 10.2.0-11ubuntu1) 10.2.0
> > GNU ld (GNU Binutils for Ubuntu) 2.35.1
> >
> > Are you running Debian testing or unstable? (I see binutils 2.35.1 is
> > in both, so was this fixed in the .1?)
> > 
> > I will go build a Debian testing container...

Still nothing for me on Debian testing, x86_64 host:

gcc (Debian 10.2.0-9) 10.2.0
GNU ld (GNU Binutils for Debian) 2.35.1
$ lsb_release -r
Release:        testing
$ uname -m
x86_64

> I am running testing.  Just upgraded to 2.35.1 and the messages are
> still there.  (I did a build of just tip/auto-latest - this is a cross
> build powerpc le hosted)

Interesting. I can't imagine this would be host-specific?

-- 
Kees Cook